Package com.enonic.xp.form

## Class FormItemSet

- java.lang.Object
- - com.enonic.xp.form.FormItem
  - - com.enonic.xp.form.FormItemSet

- All Implemented Interfaces:
    `Iterable<FormItem>`

      @PublicApi
      public class FormItemSet
      extends FormItem
      implements Iterable<FormItem>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `FormItemSet.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(FormItem formItem)` |
    `FormItemSet` | `copy()` |
    `static FormItemSet.Builder` | `create()` |
    `static FormItemSet.Builder` | `create​(FormItemSet formItemSet)` |
    `boolean` | `equals​(Object o)` |
    `String` | `getCustomText()` |
    `FormItem` | `getFormItem​(FormItemPath path)` |
    `FormItem` | `getFormItem​(String path)` |
    `FormItems` | `getFormItems()` |
    `FormItemSet` | `getFormItemSet​(FormItemPath path)` |
    `FormItemSet` | `getFormItemSet​(String path)` |
    `String` | `getHelpText()` |
    `String` | `getHelpTextI18nKey()` |
    `InlineMixin` | `getInlineMixin​(FormItemPath formItemPath)` |
    `InlineMixin` | `getInlineMixin​(String name)` |
    `Input` | `getInput​(FormItemPath path)` |
    `Input` | `getInput​(String path)` |
    `String` | `getLabel()` |
    `String` | `getLabelI18nKey()` |
    `Layout` | `getLayout​(String name)` |
    `String` | `getName()` |
    `Occurrences` | `getOccurrences()` |
    `FormItemType` | `getType()` |
    `int` | `hashCode()` |
    `boolean` | `isImmutable()` |
    `boolean` | `isMultiple()` |
    `boolean` | `isRequired()` |
    `Iterator<FormItem>` | `iterator()` |
    `String` | `toString()` |

    - ### Methods inherited from class com.enonic.xp.form.FormItem

      `getParent, getPath, toFormItemSet, toFormOptionSet, toFormOptionSetOption, toInlineMixin, toInput, toLayout`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in class `FormItem`

    - #### getType

          public FormItemType getType()

      Specified by:
        `getType` in class `FormItem`

    - #### add

          public void add​(FormItem formItem)

    - #### getLabel

          public String getLabel()

    - #### isRequired

          public boolean isRequired()

    - #### isImmutable

          public boolean isImmutable()

    - #### isMultiple

          public boolean isMultiple()

    - #### getOccurrences

          public Occurrences getOccurrences()

    - #### getCustomText

          public String getCustomText()

    - #### getHelpText

          public String getHelpText()

    - #### getFormItems

          public FormItems getFormItems()

    - #### getLabelI18nKey

          public String getLabelI18nKey()

    - #### getHelpTextI18nKey

          public String getHelpTextI18nKey()

    - #### iterator

          public Iterator<FormItem> iterator()

      Specified by:
        `iterator` in interface `Iterable<FormItem>`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `FormItem`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `FormItem`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `FormItem`

    - #### copy

          public FormItemSet copy()

      Specified by:
        `copy` in class `FormItem`

    - #### getFormItem

          public FormItem getFormItem​(String path)

    - #### getFormItem

          public FormItem getFormItem​(FormItemPath path)

    - #### getFormItemSet

          public FormItemSet getFormItemSet​(String path)

    - #### getFormItemSet

          public FormItemSet getFormItemSet​(FormItemPath path)

    - #### getInput

          public Input getInput​(String path)

    - #### getInput

          public Input getInput​(FormItemPath path)

    - #### getInlineMixin

          public InlineMixin getInlineMixin​(String name)

    - #### getInlineMixin

          public InlineMixin getInlineMixin​(FormItemPath formItemPath)

    - #### getLayout

          public Layout getLayout​(String name)

    - #### create

          public static FormItemSet.Builder create()

    - #### create

          public static FormItemSet.Builder create​(FormItemSet formItemSet)